Subject: Re: [PATCH net-next] net: mdio_bus: change the bus name to mdio

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 2 Jan 2025 09:40:18 +0000

On Thu, Dec 19, 2024 at 02:58:55PM +0800, Yajun Deng wrote:
> Since all directories under the /sys/bus are bus, we don't need to add a
> bus suffix to mdio.
> 
> Change the bus name to mdio.
> 
> Signed-off-by: Yajun Deng <[email-masked]>

No. Just no. This is a user ABI breaking change. There needs to be
_very_ good reasons to make this change, and there needs to have been
research into whether anything in userspace breaks - and all that needs
to be documented in the commit message.

I think you sent a v2, which received similar feedback (I'm catching up)
but if not, I've stated my position on this.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!